petsc-3.6.2 2015-10-02
Report Typos and Errors

# PetscUnlikely

hints the compiler that the given condition is usually FALSE

### Synopsis

    #include <petscsys.h>
    PetscBool  PetscUnlikely(PetscBool  cond)

Not Collective

### Input Parameters

cond -condition or expression

Note: This returns the same truth value, it is only a hint to compilers that the resulting branch is unlikely.

### See Also

PetscLikely(), CHKERRQ

Level:advanced
Location:include/petscsys.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/sys/examples/tutorials/ex6.c.html